Nativescript Companion App iOS

Thread is closed for posting
3 posts, 1 answers
  1. Waldemar
    Waldemar avatar
    2 posts
    Member since:
    Apr 2017

    Posted 26 May 2017 Link to this post

    Hello,

    I'm using the latest tns-core-modules with my app, that is 3.0.0. Everything works fine on an Android emulator.

    But my app doesn't run on the NS Companion App on iOS, because the Companion App only supports tns-core 2.5.1? Is this correct?

    Is an update planed? Is there somewhere a link to the schedule or just more information on the Companion App?

    Thank you very much!

    Regards,

    Waldemar Dick

     

  2. Answer
    Garo
    Admin
    Garo avatar
    156 posts

    Posted 31 May 2017 Link to this post

    Hello Waldemar,

    You are correct and for the time being, the NativeScript Companion app does not support NS 3.0.0 applications. To update the Companion app, we need to make NativeScript 3.0.0 the default version in the Platform. Additionally, before we can make NS 3.0.0 the default version, we need to test it extensively and ensure that the newly introduced breaking changes are not causing issues.

    Having said that, unfortunately, we do not have a specific date for when this functionality will be available. Currently, we plan to introduce support for NS 3.0.0 in the Companion app in August. Please, have in mind that this time frame is preliminary and can be changed.

    I hope this is of any help.

    Regards,
    Garo
    Progress Telerik
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Feedback Portal and vote to affect the priority of the items
  3. Waldemar
    Waldemar avatar
    2 posts
    Member since:
    Apr 2017

    Posted 07 Jun 2017 Link to this post

    Thank you for the information. Keep up the good work and I am looking out for the update.

    Regards,

    Waldemar

Back to Top